<?php

namespace Database\Seeders;

use App\Models\Subcategory;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class SubcategorySeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        //
        mb_internal_encoding('UTF-8');
        Subcategory::create([
            'name' => mb_convert_case('Vestidos Largos' , MB_CASE_TITLE),
            'category_id' => 1,
        ]);

        Subcategory::create([
            'name' => mb_convert_case('Vestidos Cortos' , MB_CASE_TITLE),
            'category_id' => 1,
        ]);

        Subcategory::create([
            'name' => mb_convert_case('Vestidos Midi' , MB_CASE_TITLE),
            'category_id' => 1,
        ]);

        Subcategory::create([
            'name' => mb_convert_case('TOPS + BOTTOMS' , MB_CASE_TITLE),
            'category_id' => 2,
        ]);

        Subcategory::create([
            'name' => mb_convert_case('ROMPERS + JUMPSUITS' , MB_CASE_TITLE),
            'category_id' => 2,
        ]);
    }
}